Subject: Re: bug#67862: 30.0.50; Handler-bind and ert-test-error-debug
From: Stefan Monnier <[email-masked]>
To: Gerd Möllmann <[email-masked]>
Cc: [email-masked], Christian Ohler <[email-masked]>
Date: Sun, 31 Dec 2023 14:43:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> BTW, there are some more tests in the vicinity of the test above that
> test if the debugger is/isn't invoked in various circumstances.

Thanks for helping me through this code.

My conclusion is that the three tests that are broken by the use of
`handler-bind` are "bad" tests in the sense that they tested for
a behavior which corresponds to a failure of ERT (they verified that
ERT's error-tracing infrastructure is rendered inoperable by
a surrounding `condition-case`, which amounts to saying that ERT was not
working correctly when called within a `condition-case`).

        Stefan